## Index

### Functions

- bindPromise

## Functions

### bindPromise

- bindPromise<T>(vm: AtomViewModel, p: Promise<T>, value: any, displayError?: boolean | function): T

- - Defined in view-model/bindPromise.ts:8

  Use this method to create an object/array that will refresh when promise is resolved

  #### Type parameters

  - #### T: any | any[]

  #### Parameters

  - ##### vm: AtomViewModel

  - ##### p: Promise<T>

  - ##### value: any

  - ##### Default value displayError: boolean | function = true

  #### Returns T

Generated using TypeDoc